Bug 824753 - FEAT: Log improvements in clear-locks
FEAT: Log improvements in clear-locks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3-beta
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: GlusterFS Bugs list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 03:47 EDT by Shwetha Panduranga
Modified: 2014-08-27 05:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:58:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-05-24 03:47:54 EDT
Description of problem:
-----------------------
when we execute clear-locks on a volume , currently we log only the number of locks cleared(granted/blocked) held on the file for every brick line by line. 

It will be helpful in debugging if we log "brick name" along with the locks cleared. 

[05/24/12 - 18:33:57 root@APP-SERVER1 ~]# gluster v info
 
Volume Name: rep
Type: Replicate
Volume ID: 33eea47a-666e-426a-8794-bddb141d7096
Status: Started
Number of Bricks: 1 x 4 = 4
Transport-type: tcp
Bricks:
Brick1: 192.168.2.35:/export_sdb/dir1
Brick2: 192.168.2.36:/export_sdb/dir1
Brick3: 192.168.2.35:/export_sdc/dir1
Brick4: 192.168.2.36:/export_sdc/dir1

Actual Output from clear-locks:-
-----------------------------
[05/24/12 - 18:27:13 root@APP-SERVER1 ~]# gluster v clear-locks rep /testing1 kind all inode 0,9223372036854775806-0
Volume clear-locks successful
dis-rep-locks: inode blocked locks=54 granted locks=0
dis-rep-locks: inode blocked locks=51 granted locks=0
dis-rep-locks: inode blocked locks=4 granted locks=0
dis-rep-locks: inode blocked locks=1 granted locks=0

Expected Output from clear-locks:-
-------------------------------------
[05/24/12 - 18:27:13 root@APP-SERVER1 ~]# gluster v clear-locks rep /testing1 kind all inode 0,9223372036854775806-0
Volume clear-locks successful
brick1: inode blocked locks=54 granted locks=0
brick2: inode blocked locks=51 granted locks=0
brick3: inode blocked locks=4 granted locks=0
brick4: inode blocked locks=1 granted locks=0
Comment 1 Vijay Bellur 2012-12-18 18:45:34 EST
CHANGE: http://review.gluster.org/4272 (features/locks : Made changes to display brick information on clearing locks.) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Kiran 2014-08-27 05:13:52 EDT
I ran the 824753.t testcase from Gluster Regression Test suite and it fails and 
I also raised a testcase bug which is 1132496.

Version-Release number of selected component (if applicable):
gluster v3.5.2

How reproducible:
Always

Steps to Reproduce:
1. Install gluster v3.5.2 rpm on CentOS 6.4
2. clone the gluster from github and checkout v3.5.2 
3. DEBUG=1 prove tests/bugs/bug-824753.t

Result of test bug-824753.t execution

[root@fractal-0e6e glusterfs]# DEBUG=1 prove tests/bugs/bug-824753.t
tests/bugs/bug-824753.t .. =========================
TEST 1 (line 8): glusterd
tests/bugs/bug-824753.t .. 1/16 RESULT 1: 0
=========================
TEST 2 (line 9): pidof glusterd
RESULT 2: 0
=========================
TEST 3 (line 10): gluster --mode=script volume info
No volumes present
RESULT 3: 0
=========================
TEST 4 (line 12): gluster --mode=script volume create patchy replica 2 stripe 2 fractal-0e6e:/d/backends/patchy1 fractal-0e6e:/d/backends/patchy2 fractal-0e6e:/d/backends/patchy3 fractal-0e6e:/d/backends/patchy4 fractal-0e6e:/d/backends/patchy5 fractal-0e6e:/d/backends/patchy6 fractal-0e6e:/d/backends/patchy7 fractal-0e6e:/d/backends/patchy8
tests/bugs/bug-824753.t .. 4/16 RESULT 4: 0
=========================
TEST 5 (line 23): patchy volinfo_field patchy Volume Name
RESULT 5: 0
=========================
TEST 6 (line 24): Created volinfo_field patchy Status
RESULT 6: 0
=========================
TEST 7 (line 27): gluster --mode=script volume start patchy
tests/bugs/bug-824753.t .. 7/16 RESULT 7: 0
=========================
TEST 8 (line 28): Started volinfo_field patchy Status
RESULT 8: 0
=========================
TEST 9 (line 30): glusterfs -s fractal-0e6e --volfile-id=patchy /mnt/glusterfs/0
RESULT 9: 0
=========================
TEST 10 (line 33): gcc -g tests/bugs/bug-824753-file-locker.c -o tests/bugs/file-locker
tests/bugs/bug-824753.t .. 10/16 RESULT 10: 0
=========================
TEST 11 (line 35): tests/bugs/file-locker patchy fractal-0e6e /d/backends /mnt/glusterfs/0 file1
RESULT 11: 255
=========================
TEST 12 (line 38): rm -f tests/bugs/file-locker
RESULT 12: 0
=========================
TEST 13 (line 39): gluster --mode=script volume stop patchy
tests/bugs/bug-824753.t .. 13/16 RESULT 13: 0
=========================
TEST 14 (line 40): Stopped volinfo_field patchy Status
RESULT 14: 0
=========================
TEST 15 (line 42): gluster --mode=script volume delete patchy
RESULT 15: 0
=========================
TEST 16 (line 43): ! gluster --mode=script volume info patchy
RESULT 16: 0
tests/bugs/bug-824753.t .. Failed 1/16 subtests 

Test Summary Report
-------------------
tests/bugs/bug-824753.t (Wstat: 0 Tests: 16 Failed: 1)
  Failed test:  11
Files=1, Tests=16, 10 wallclock secs ( 0.09 usr  0.01 sys +  0.38 cusr  0.67 csys =  1.15 CPU)
Result: FAIL

Note You need to log in before you can comment on or make changes to this bug.